package wine_selection_classes;

public class WineRequest {
	
	//Initial facts supplied by the user
	private String consumationTime = null;
	private String preferredBody = null;
	private boolean sparklingWine = false;
	private String entree = null;
	private String preferredWineColor = null;
	private String preferredTaste = null;
	private String dessert = null;
	
	//Intermediate conclusions
	private String entreeCategory = null;
	
	//Goal facts
	private String recommendedGenericWineType = null;
	private String[] suggestedVarietalWine = null;
	
	public String getPreferredTaste() {
		return preferredTaste;
	}
	public void setPreferredTaste(String preferredTaste) {
		this.preferredTaste = preferredTaste;
	}
	public String getConsumationTime() {
		return consumationTime;
	}
	public void setConsumationTime(String consumationTime) {
		this.consumationTime = consumationTime;
	}
	public String getPreferredBody() {
		return preferredBody;
	}
	public void setPreferredBody(String preferredBody) {
		this.preferredBody = preferredBody;
	}
	public boolean isSparklingWine() {
		return sparklingWine;
	}
	public void setSparklingWine(boolean sparklingWine) {
		this.sparklingWine = sparklingWine;
	}
	public String getEntree() {
		return entree;
	}
	public void setEntree(String entree) {
		this.entree = entree;
	}
	public String getPreferredWineColor() {
		return preferredWineColor;
	}
	public void setPreferredWineColor(String preferredWineColor) {
		this.preferredWineColor = preferredWineColor;
	}
	public String getDessert() {
		return dessert;
	}
	public void setDessert(String dessert) {
		this.dessert = dessert;
	}
	public String getEntreeCategory() {
		return entreeCategory;
	}
	public void setEntreeCategory(String entreeCategory) {
		this.entreeCategory = entreeCategory;
	}
	public String getRecommendedGenericWineType() {
		return recommendedGenericWineType;
	}
	public void setRecommendedGenericWineType(String recommendedGenericWineType) {
		this.recommendedGenericWineType = recommendedGenericWineType;
	}
	public String[] getSuggestedVarietalWine() {
		return suggestedVarietalWine;
	}
	public void setSuggestedVarietalWine(String[] suggestedVarietalWine) {
		this.suggestedVarietalWine = suggestedVarietalWine;
	}
	

}
